diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties b/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
@@ -774,11 +774,11 @@
 # 0: symbol
 compiler.err.import.requires.canonical=\
     import requires canonical name for {0}
 
 compiler.err.improperly.formed.type.param.missing=\
-    improperly formed type, some parameters are missing
+    improperly formed type, some parameters are missing or misplaced
 
 compiler.err.improperly.formed.type.inner.raw.param=\
     improperly formed type, type arguments given on a raw type
 
 # 0: type, 1: type
@@ -2075,10 +2075,16 @@
     classes implementing the interface from declaring the method as private
 
 compiler.warn.default.ineffective=\
     serialization-related default method from an interface will not be run by serialization for an implementing class
 
+compiler.warn.serializable.value.class.without.write.replace.1=\
+    serializable value class does not declare, or inherits, a writeReplace method
+
+compiler.warn.serializable.value.class.without.write.replace.2=\
+    serializable class does not declare, or inherits, a writeReplace method
+
 # 0: symbol, 1: symbol, 2: symbol, 3: symbol
 compiler.warn.potentially.ambiguous.overload=\
     {0} in {1} is potentially ambiguous with {2} in {3}
 
 # 0: message segment
@@ -2740,10 +2746,13 @@
     reference
 
 compiler.misc.type.req.exact=\
     class or interface without bounds
 
+compiler.misc.type.req.identity=\
+    a type with identity
+
 # 0: type
 compiler.misc.type.parameter=\
     type parameter {0}
 
 #####
@@ -3769,10 +3778,13 @@
     cannot resolve modules
 
 compiler.misc.bad.requires.flag=\
     bad requires flag: {0}
 
+compiler.misc.bad.access.flags=\
+    bad access flags combination: {0}
+
 # 0: string
 compiler.err.invalid.module.specifier=\
     module specifier not allowed: {0}
 
 # 0: symbol
@@ -4102,10 +4114,32 @@
     (preview language features are only supported for release {1})
 
 compiler.err.preview.without.source.or.release=\
     --enable-preview must be used with either -source or --release
 
+compiler.misc.feature.value.classes=\
+    value classes
+
+# 0: type, 1: type
+compiler.err.value.type.has.identity.super.type=\
+    The identity type {1} cannot be a supertype of the value type {0}
+
+# 0: symbol, 1: type
+compiler.err.concrete.supertype.for.value.class=\
+    The concrete class {1} is not allowed to be a super class of the value class {0} either directly or indirectly
+
+# 0: symbol, 1: symbol, 2: type
+compiler.err.super.class.method.cannot.be.synchronized=\
+    The method {0} in the super class {2} of the value class {1} is synchronized. This is disallowed
+
+# 0: symbol or name
+compiler.err.cant.ref.after.ctor.called=\
+    cannot assign to {0} after supertype constructor has been called
+
+compiler.err.non.abstract.value.class.cant.be.sealed.or.non.sealed=\
+    ''sealed'' or ''non-sealed'' modifiers are only applicable to abstract value classes
+
 # 0: symbol
 compiler.err.deconstruction.pattern.only.records=\
     deconstruction patterns can only be applied to records, {0} is not a record
 
 compiler.err.deconstruction.pattern.var.not.allowed=\
@@ -4126,5 +4160,8 @@
 
 # 0: type
 compiler.err.enclosing.class.type.non.denotable=\
     enclosing class type: {0}\n\
     is non-denotable, try casting to a denotable type
+
+compiler.warn.value.finalize=\
+    value classes should not have finalize methods, they are not invoked
